package com.ruoyi.interfaces.service.impl;

import java.util.List;

import com.ruoyi.common.utils.uuid.IdUtils;
import com.ruoyi.interfaces.domain.MdModelCatetory;
import com.ruoyi.interfaces.mapper.MdModelCatetoryMapper;
import com.ruoyi.interfaces.service.IMdModelCatetoryService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 模型目录Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-07-15
 */
@Service
public class MdModelCatetoryServiceImpl implements IMdModelCatetoryService
{
    @Autowired
    private MdModelCatetoryMapper mdModelCatetoryMapper;

    /**
     * 查询模型目录
     * 
     * @param cateid 模型目录主键
     * @return 模型目录
     */
    @Override
    public MdModelCatetory selectMdModelCatetoryByCateid(String cateid)
    {
        return mdModelCatetoryMapper.selectMdModelCatetoryByCateid(cateid);
    }

    /**
     * 查询模型目录列表
     * 
     * @param mdModelCatetory 模型目录
     * @return 模型目录
     */
    @Override
    public List<MdModelCatetory> selectMdModelCatetoryList(MdModelCatetory mdModelCatetory)
    {
        return mdModelCatetoryMapper.selectMdModelCatetoryList(mdModelCatetory);
    }

    /**
     * 新增模型目录
     * 
     * @param mdModelCatetory 模型目录
     * @return 结果
     */
    @Override
    public int insertMdModelCatetory(MdModelCatetory mdModelCatetory)
    {
        mdModelCatetory.setCateid(IdUtils.fastUUID());
        return mdModelCatetoryMapper.insertMdModelCatetory(mdModelCatetory);
    }

    /**
     * 修改模型目录
     * 
     * @param mdModelCatetory 模型目录
     * @return 结果
     */
    @Override
    public int updateMdModelCatetory(MdModelCatetory mdModelCatetory)
    {
        return mdModelCatetoryMapper.updateMdModelCatetory(mdModelCatetory);
    }

    /**
     * 批量删除模型目录
     * 
     * @param cateids 需要删除的模型目录主键
     * @return 结果
     */
    @Override
    public int deleteMdModelCatetoryByCateids(String[] cateids)
    {
        return mdModelCatetoryMapper.deleteMdModelCatetoryByCateids(cateids);
    }

    /**
     * 删除模型目录信息
     * 
     * @param cateid 模型目录主键
     * @return 结果
     */
    @Override
    public int deleteMdModelCatetoryByCateid(String cateid)
    {
        return mdModelCatetoryMapper.deleteMdModelCatetoryByCateid(cateid);
    }
}